<!DOCTYPE html>
<html lang="en">
  <head>
    <title>{% trans %}GNUKhata{% endtrans %} | {{projectname}} {% trans %}Statement{% endtrans %}</title>

    <style type="text/css">
     .shadow {
	 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     }
     #latable td {
	 font-size: 75%;
	 padding: 4 !important;
	 margin: 4 !important;
     }

     #latable th {
	 font-size: 85%;
     }

     .card-view .title {
	 font-weight: bold;
	 display: inline-block;
	 min-width: 30%;
	 text-align: left !important;
     }

     #latable tbody {
	 display:block;
	 height: calc(69vh);
	 overflow-y:scroll;
     }
     #latable thead,#latable tbody tr {
	 display:table;
	 width:100%;
	 table-layout:fixed;
     }
     #latable thead {
	 width: calc( 99.1% );
     }
     .rightlist {
	 text-align: right;
     }
     .srno{
	 width:5.4%;
     }
     .prdct{
	 width: 59%;
     }
     .type{
	 width: 8%;
     }
     .categrs{
	 width: 20%;
     }
     .um{
	 width: 7%;
     }

     .calign{
	 text-align:center;
     }
     
    </style>
  </head>
  <body>
    <div class="col-xs-10 nopadding">
    <span style="margin-left:50%; display:table; font-size:120%;"><strong>
      {% trans %}List of Products{% endtrans %}
    </strong></span>
    </div>
    <div class="pull-right input-group input-group-sm" style="margin-bottom:2px;">
      <span class="input-group-addon glyphicon glyphicon-search" id="reportsearchspan">
      </span>
      <input id="reportsearch" class="form-control" type="text" accesskey="s" placeholder="{% trans %}Quick Search{% endtrans %}"/>
      <span class="input-group-addon glyphicon glyphicon-arrow-left" id="reportclearsearchspan" style="display:none;">
      </span>
      <span class="input-group-addon"><i class="fa fa-question-circle" style="font-size:16px;color:black;"data-toggle="modal" data-target="#LaModal"></i></span>
    </div>
    <table id="latable" class="table shadow table-bordered" >
      <thead class="bg-primary">
	<tr>
          <th class="col-xs-1 srno calign" >
            {% trans %}Sr.No.{% endtrans %}
          </th>
          <th class="col-xs-5 prdct prdserv" >
            {% trans %}Product{% endtrans %}
          </th>
          <th class="col-xs-2 type" >
            {% trans %}Type{% endtrans %}
          </th>
          <th class="col-xs-3 categrs" >
            {% trans %}Category{% endtrans %}
          </th>
          <th class="col-xs-2 um" >
            {% trans %}UOM{% endtrans %}
          </th>
	</tr>
      </thead>
      <tbody>

	{% for record in gkresult %}
	  <tr	value="{{record["productcode"]}}">
            <td class="col-xs-1 srno calign" >
              {{record["srno"]}}
            </td>
            <td class="col-xs-5 prdct">
              {{record["productdesc"]}}
            </td>

            <td class="col-xs-3 type" >
              {% if record['gsflag'] == 7 %}
		Product
              {% else %}
		Service
              {% endif %}
            </td>
            <td class="col-xs-3 categrs" >
              {{record["categoryname"]}}
            </td>
            <td class="col-xs-2 um" >
              {{record["unitname"]}}
            </td>
	  </tr>
	{% endfor %}

      </tbody>
    </table>
    <span style="margin:auto; display:table;">
      <nbsp><nbsp>
	<button type="button" id="backbutton" accesskey="k" class="btn btn-sm btn-danger">Bac<u>k</u></button>
	<button class="btn btn-sm btn-primary" type="button"  id="print" accesskey="x">{% trans %}<i class="fa fa-file-excel-o" aria-hidden="true"></i> E<u>x</u>port to Spreadsheet{% endtrans %}</button>
	<button type="button" class="btn btn-sm btn-info" id="viewprintableversion" accesskey="t">{% trans %}<i class="fa fa-print" aria-hidden="true"></i> View Prin<u>t</u>able Version{% endtrans %}</button>
    </span>

    <div id="LaModal"  tabindex="-1" class="modal fade" role="dialog"style="width:650px; margin-top: 150px; margin-left:300px;"  aria-hidden="true">
      <div class="modal-dialog bgcolor " >
   	<div class="modal-content ">
    	  <div class="modal-header">
      	    {% trans %}<strong>Help!</strong>{% endtrans %}
   	    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button> </div>
	  <div class="modal-body" style="text-align: justify; text-justify: inter-word;">

	    <p>   <font color=" #566573"> {%trans%}
	      This report lists all products and services in an organisation. All users can view this report.</br>
	      When a godown keeper views this report it shows only those products that are in the godowns assigned to them.
{% endtrans %} </font>

            </p>
	  </div>

	</div>
      </div>
    </div>
    
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
    <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/listofstockitems.js')}}"></script>
</body>
</html>
